Summary:	Time Out plugin for the Xfce panel
Summary(pl.UTF-8):	Wtyczka upływu czasu dla panelu Xfce
Name:		xfce4-time-out-plugin
Version:	1.0.3
Release:	1
License:	GPL v2
Group:		X11/Applications
Source0:	http://archive.xfce.org/src/panel-plugins/xfce4-time-out-plugin/1.0/%{name}-%{version}.tar.bz2
# Source0-md5:	81e1a961032c7b87d672bed09c681a73
URL:		http://goodies.xfce.org/projects/panel-plugins/xfce4-time-out-plugin
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1:1.8
BuildRequires:	gtk+2-devel >= 2:2.24.0
BuildRequires:	intltool
BuildRequires:	libxfce4ui-devel
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.601
BuildRequires:	xfce4-dev-tools >= 4.12.0
BuildRequires:	xfce4-panel-devel >= 4.12.0
Requires:	gtk-update-icon-cache
Requires:	hicolor-icon-theme
Requires:	xfce4-panel >= 4.12.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Time Out plugin makes it possible to take periodical breaks from the
computer every X minutes. During breaks it locks your screen. It
optionally allows you to postpone breaks for a certain time.

%description -l pl.UTF-8
Wtyczka Time Out umożliwia robienie regularnych przerw od komputera co
każde X minut. W czasie przerw blokuje ekran. Opcjonalnie pozwala
odłożyć przerwy na określony czas.

%prep
%setup -q

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/xfce4/panel/plugins/*.la
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/locale/ur_PK
%{__mv} $RPM_BUILD_ROOT%{_datadir}/locale/{hy_AM,hy}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS
%attr(755,root,root) %{_libdir}/xfce4/panel/plugins/libtime-out.so
%{_iconsdir}/hicolor/48x48/apps/*.png
%{_iconsdir}/hicolor/scalable/apps/*.svg
%{_datadir}/xfce4/panel/plugins/xfce4-time-out-plugin.desktop
%changelog
* Sun Aug 25 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xfce4-time-out-plugin.git;a=log;h=master

* Sun Aug 25 2019 Jan Rękorajski <baggins@pld-linux.org> 694d961
- up to 1.0.3

* Tue Mar 31 2015 Jan Rękorajski <baggins@pld-linux.org> f8317a4
- up to 1.0.2

* Mon Mar 23 2015 Elan Ruusamäe <glen@delfi.ee> 2b718b1
- x32 rebuild
- release 4 (by relup.sh)

* Fri Jan 03 2014 Jan Rękorajski <baggins@pld-linux.org> 2d7f92c
- release 3 (by relup.sh)

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> 77d5d28
- release 2

* Fri May 11 2012 Jan Rękorajski <baggins@pld-linux.org> f2acd80
- up to 1.0.1
- ported to xfceui
- built as module

* Tue Mar 01 2011 Jan Rękorajski <baggins@pld-linux.org> f65fa01
- rel 2
- port to libxfce4ui

* Tue Feb 15 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 1543fa7
- updated to 1.0.0

* Fri Feb 04 2011 Artur Frysiak <artur@frysiak.net> 1e16f95
- Requires(post,postun): gtk-update-icon-cache

* Fri Jul 27 2007 Marcin Banasiak <marcin.banasiak@gmail.com> a64bd9d
- updated to 0.1.1

* Sun May 27 2007 Jakub Bogusz <qboosh@pld-linux.org> b5ef411
- BR: pkgconfig, gtk+2 >= 2.8.0

* Sun May 27 2007 Jakub Bogusz <qboosh@pld-linux.org> ce778e2
- pl

* Sat May 26 2007 Marcin Banasiak <marcin.banasiak@gmail.com> 560f6fb
- new

